Import or safely replay a historical appointment
Restricted to approved accounts and requires appointments:history:write. This vendor-neutral historical migration route accepts native or HL7 FHIR R4-aligned lifecycle statuses, writes the appointment and initial status history atomically, does not check live slot availability, and does not send notifications or reminders. Supplying contact_id also requires contacts:read; supplying deal_id also requires deals:write.
curl --request POST \
--url https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/history \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "ehr-appointment-10492",
"status": "fulfilled",
"cancellation_reason": "Cancelled in source system",
"contact_id": 42,
"customer_email": "customer@example.com",
"customer_name": "Example Customer",
"customer_phone": "+966500000000",
"date": "2025-09-15",
"deal_id": "00000000-0000-4000-8000-000000000003",
"ends_at": "2025-09-15T09:30:00Z",
"notes": "Imported from the prior EHR",
"resource_id": "00000000-0000-4000-8000-000000000001",
"resource_name": "Dr. Sara",
"service_id": "00000000-0000-4000-8000-000000000002",
"service_name": "Initial consultation",
"source_system": "clinic-ehr",
"starts_at": "2025-09-15T09:00:00Z",
"status_changed_at": "2025-09-15T09:35:00Z",
"time": "12:00"
}
'import requests
url = "https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/history"
payload = {
"external_id": "ehr-appointment-10492",
"status": "fulfilled",
"cancellation_reason": "Cancelled in source system",
"contact_id": 42,
"customer_email": "customer@example.com",
"customer_name": "Example Customer",
"customer_phone": "+966500000000",
"date": "2025-09-15",
"deal_id": "00000000-0000-4000-8000-000000000003",
"ends_at": "2025-09-15T09:30:00Z",
"notes": "Imported from the prior EHR",
"resource_id": "00000000-0000-4000-8000-000000000001",
"resource_name": "Dr. Sara",
"service_id": "00000000-0000-4000-8000-000000000002",
"service_name": "Initial consultation",
"source_system": "clinic-ehr",
"starts_at": "2025-09-15T09:00:00Z",
"status_changed_at": "2025-09-15T09:35:00Z",
"time": "12:00"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
external_id: 'ehr-appointment-10492',
status: 'fulfilled',
cancellation_reason: 'Cancelled in source system',
contact_id: 42,
customer_email: 'customer@example.com',
customer_name: 'Example Customer',
customer_phone: '+966500000000',
date: '2025-09-15',
deal_id: '00000000-0000-4000-8000-000000000003',
ends_at: '2025-09-15T09:30:00Z',
notes: 'Imported from the prior EHR',
resource_id: '00000000-0000-4000-8000-000000000001',
resource_name: 'Dr. Sara',
service_id: '00000000-0000-4000-8000-000000000002',
service_name: 'Initial consultation',
source_system: 'clinic-ehr',
starts_at: '2025-09-15T09:00:00Z',
status_changed_at: '2025-09-15T09:35:00Z',
time: '12:00'
})
};
fetch('https://app.huechat.ai/api/v2/accounts/{accountId}/appointments/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": 123,
"buffer_after_minutes": 123,
"buffer_before_minutes": 123,
"busy_ends_at": "2023-11-07T05:31:56Z",
"busy_starts_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"confirmed_at": "2023-11-07T05:31:56Z",
"contact_id": 123,
"conversation_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_ai_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": 123,
"customer_email": "<string>",
"customer_name": "<string>",
"customer_phone": "<string>",
"duration_minutes": 123,
"ends_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"public_id": "<string>",
"resource_color": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_name": "<string>",
"resource_type": "<string>",
"service_color": "<string>",
"service_currency": "<string>",
"service_description": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_price": 123,
"source": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
}{
"account_id": 123,
"buffer_after_minutes": 123,
"buffer_before_minutes": 123,
"busy_ends_at": "2023-11-07T05:31:56Z",
"busy_starts_at": "2023-11-07T05:31:56Z",
"cancellation_reason": "<string>",
"cancelled_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"confirmed_at": "2023-11-07T05:31:56Z",
"contact_id": 123,
"conversation_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"created_by_ai_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_user_id": 123,
"customer_email": "<string>",
"customer_name": "<string>",
"customer_phone": "<string>",
"duration_minutes": 123,
"ends_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notes": "<string>",
"public_id": "<string>",
"resource_color": "<string>",
"resource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource_name": "<string>",
"resource_type": "<string>",
"service_color": "<string>",
"service_currency": "<string>",
"service_description": "<string>",
"service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"service_name": "<string>",
"service_price": 123,
"source": "<string>",
"starts_at": "2023-11-07T05:31:56Z",
"status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}{
"error": "<string>",
"limit": "<string>"
}Path Parameters
HueChat account ID
Body
Historical appointment
1 - 128"ehr-appointment-10492"
tentative, booked, confirmed, completed, cancelled, no_show, proposed, pending, waitlist, arrived, checked-in, fulfilled, noshow "fulfilled"
"Cancelled in source system"
42
"customer@example.com"
"Example Customer"
"+966500000000"
"2025-09-15"
"00000000-0000-4000-8000-000000000003"
"2025-09-15T09:30:00Z"
"Imported from the prior EHR"
"00000000-0000-4000-8000-000000000001"
"Dr. Sara"
"00000000-0000-4000-8000-000000000002"
"Initial consultation"
"clinic-ehr"
"2025-09-15T09:00:00Z"
"2025-09-15T09:35:00Z"
"12:00"
Response
Identical idempotent replay

